API referenceLocations
Targeting options for residential
GET
Countries and the targeting options below them. Refreshed every 6 hours. Supports ETag / If-None-Match.
ApiKeyheader
X-API-Key<token>prx_live_<40 base62>
country?stringReturn one country with its children; without it countries only.
Length
2 <= length <= 2If-None-Match?stringOK
application/json- response
data*message*stringHuman-readable status, safe to show to end users.
curl -X GET "https://example.com/v1/locations/residential"{ "data": { "countries": [ { "asns": [ { "asn": 0, "name": "string", "node_count": 0 } ], "cities": [ { "alias": "string", "name": "string", "node_count": 0 } ], "code": "string", "isps": [ { "name": "string", "node_count": 0 } ], "name": "string", "node_count": 0, "states": [ { "alias": "string", "name": "string", "node_count": 0 } ] } ], "network": "residential", "supports": { "asn": true, "city": true, "os": true, "state": true, "zip": true }, "synced_at": "2019-08-24T14:15:22Z" }, "message": "OK"}